\name{Crubadan_profiles}
\alias{Crubadan_profiles}
\docType{data}
\title{An Crubadan Trigram Profiles}
\description{
  Character trigram language profile db from the An Crúbadán project.
}
\usage{
data("Crubadan_profiles")
}
\format{
  A \code{\link[textcat:textcat_profile_db]{textcat_profile_db}} of
  3-gram character language profiles to use with package \pkg{textcat}.
}
\details{
  An Crúbadán is a web crawler by Kevin P. Scannell designed for the
  automatic development of large text corpora for minority languages.
  See \url{http://borel.slu.edu/crubadan/} for more information.

  The character trigrams obtained from the full-text corpora are made
  available as a corpus for NLTK (Natural Language Processing Toolkit,
  see \url{http://nltk.googlecode.com/svn/trunk/nltk_data/index.xml}).
}
\examples{
data("Crubadan_profiles")
## Current size:
length(Crubadan_profiles)
## Language ids:
names(Crubadan_profiles)
## These are IETF language tags, and can be expanded via
## tau::parse_IETF_language_tag() from package 'tau', see below.
## Summary for the lengths (numbers of distinct trigrams) of the
## language profiles:
summary(sapply(Crubadan_profiles, length))
## Summary for the total numbers of trigrams in the profiles:
totals <- sort(sapply(Crubadan_profiles, sum))
summary(totals)
if(require("tau")) {
    ## Which are the languages with the smallest totals?
    tau::parse_IETF_language_tag(names(head(totals)), expand = TRUE)
    ## Which are the languages with the largest totals?
    tau::parse_IETF_language_tag(names(tail(totals)), expand = TRUE)
}
}
\keyword{datasets}
